#include "MenuTextSk2_Player2Joystick.h"

InputSetting_Joystick* MenuTextSk2_Player2Joystick::GetInputSetting()
{
	return gameFunc->GetInputSetting_Player2Joystick ? gameFunc->GetInputSetting_Player2Joystick() : nullptr;
}

SDL_GameControllerButtonBind* MenuTextSk2_Player2Joystick::GetBind(InputSetting_Joystick* setting)
{
	return &setting->op_skill_2;
}

std::weak_ptr<Entity> MenuTextSk2_Player2Joystick::GetPlayer(void* entityRes)
{
	return gameFunc->GetMyChar_Player2(entityRes);
}


std::shared_ptr<Entity> CreateMenuTextSk2_Player2Joystick()
{
	return std::make_shared<MenuTextSk2_Player2Joystick>();
}

